/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.xrtygis.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.xrtygis.entity.Dmaregion;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * DMA分区信息表：TF_YWPN_DMAREGION_W
 *
 * @author admin
 * @date Wed Mar 10 00:00:00 CST 2021
 */
public interface DmaregionService extends IService<Dmaregion> {

    List<Map> partitionNum();

    void updateMinFlow(Long parId, BigDecimal minFlow);


    IPage<Dmaregion> getPartitionById(Page page, Long id, String content);

    IPage<Dmaregion> getOneLevelByIds(Page page, String ids, String content);

    List<Dmaregion> getOneLevelByIdsList(String ids, String content);

    List<Dmaregion> getPartitionByIdList(Long id, String content);

    String getGuid();

    /**
     * 根据设备获取当前年 年平均压力
     * @param year
     * @param deviceIdList
     * @return
     */
    BigDecimal getYearPressure(String year,List<Long> deviceIdList);
}
